Last modified: 2012-08-19 16:20:52 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 20641 - Add namespace aliases for zhwiki.
Add namespace aliases for zhwiki.
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Low normal (vote)
: ---
Assigned To: Nobody - You can work on this!
http://zh.wikipedia.org/wiki/Wikipedi...
:
Depends on: 10171 21898
Blocks: 16660
  Show dependency treegraph
 
Reported: 2009-09-14 14:25 UTC by Jimmy Xu
Modified: 2012-08-19 16:20 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Jimmy Xu 2009-09-14 14:25:51 UTC
Please add the following namespace alias for zhwiki:

# WT: -> NS_4 (Project talk:)
# MW: -> NS_8 (MediaWiki:)
# T: -> NS_10 (Template:)
# TT -> NS_11 (Template talk:)
# H: -> NS_12 (Help:)
# CAT: -> NS_14 (Category:)

Please also help to make sure the pages start with the new namespace title would be redirected properly to the old ones. (Maybe the namespaceDupes.php?)

Best regards.
Comment 1 Brion Vibber 2009-09-14 17:25:25 UTC
At least some of these will conflict with interwiki keys:

mw -- mediawiki.org
tt -- a language code
Comment 2 Jimmy Xu 2009-09-15 12:51:06 UTC
(In reply to comment #1)
> At least some of these will conflict with interwiki keys:
> 
> mw -- mediawiki.org
> tt -- a language code
> 

Sorry for didn't noticed that. So just ignore these two, please.

Best regards.
Comment 3 MZMcBride 2009-09-16 23:18:41 UTC
cat interferes with the three-letter language code for Catalan and has been previously rejected, I believe.

H: for "Help:" seems a bit silly. You're saving three characters and possibly interfering with a future project code (q: for Wikiquote, h: for Wikifutureproject, e.g.).

Comment 4 FrankLSF95 2009-10-04 00:46:43 UTC
So I think a probably resolution is like this:

# WT: -> NS_4 (Project talk:)
# MWK: -> NS_8 (MediaWiki:)
# T: -> NS_10 (Template:)
# TTK: -> NS_11 (Template talk:)
# CATE: -> NS_14 (Category:)

Maybe this looks a bit strange, but it's a compromised way.

Best Regards.
Comment 5 Jimmy Xu 2009-10-04 03:03:44 UTC
(In reply to comment #4)
> So I think a probably resolution is like this:
> 
> # WT: -> NS_4 (Project talk:)
> # MWK: -> NS_8 (MediaWiki:)
> # T: -> NS_10 (Template:)
> # TTK: -> NS_11 (Template talk:)
> # CATE: -> NS_14 (Category:)
> 
> Maybe this looks a bit strange, but it's a compromised way.
> 
> Best Regards.
> 

Sorry, but no community consensus for this one.

Discussion at local Village Pump: http://zh.wikipedia.org/wiki/Wikipedia:%E4%BA%92%E5%8A%A9%E5%AE%A2%E6%A0%88/%E6%8A%80%E6%9C%AF#.E6.8F.90.E8.AE.AE.E5.A2.9E.E5.8A.A0.E5.90.8D.E5.AD.97.E7.A9.BA.E9.97.B4.E5.88.AB.E5.90.8D

Regards.
Comment 6 bcnof0 2009-11-11 08:54:34 UTC
CATE for Category? I suppose CAT is a better choice. Besides, there's no need to set the namespace alias T for Template because wikipedians could use {{tl|Template name}} as a way to link to a template page.
Comment 7 Roan Kattouw 2009-12-13 19:06:46 UTC
Closing as LATER, as there appears to be no community consensus. If and when there is one, please reopen and state clearly which aliases should be added.
Comment 8 Jimmy Xu 2009-12-14 04:14:43 UTC
Local discussion archived to http://zh.wikipedia.org/wiki/Wikipedia:%E4%BA%92%E5%8A%A9%E5%AE%A2%E6%A0%88/%E6%8A%80%E6%9C%AF/%E5%AD%98%E6%A1%A3/2009%E5%B9%B410%E6%9C%88#.E6.8F.90.E8.AE.AE.E5.A2.9E.E5.8A.A0.E5.90.8D.E5.AD.97.E7.A9.BA.E9.97.B4.E5.88.AB.E5.90.8D

# T: -> Template:
# WT: -> Wikipedia talk:
# CAT: -> Category:
# H: -> Help:

REOPENed this bug, thanks.
Comment 9 Roan Kattouw 2009-12-14 14:24:49 UTC
Done
Comment 10 Liangent 2009-12-19 10:21:27 UTC
I cannot find any deleted revision on [[zh:Special:Undelete/CAT:CSD]]; there should be some.

It's probably a bug of namespaceDupes.php.
Comment 11 Roan Kattouw 2009-12-19 20:59:30 UTC
I ran namespaceDupes again and it did nothing. I then looked at the database and concluded that namespaceDupes indeed doesn't process deleted revisions. I've filed this as bug 21898
Comment 12 Roan Kattouw 2010-04-19 08:23:39 UTC
Mass-unassigning shell bugs from myself to Rob; I used to do them once, but I
don't have time for them any more.

Not sure what still needs doing for this particular bug.
Comment 13 JeLuF 2010-04-19 09:10:19 UTC
Removed "shell" keyword since this requires a fix of namespaceDupes.php in order to handle also deleted pages.
Comment 14 db [inactive,noenotif] 2012-08-19 16:20:52 UTC
(In reply to comment #13)
> Removed "shell" keyword since this requires a fix of namespaceDupes.php in
> order to handle also deleted pages.

That is bug 10171, this bug is FIXED, when the other bug is fixed, it needs a run over all wikis to solve possible issues in all wikis, so this bug must not stay open for that.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links